# functional distances for particular cluster assignment
# 
# In the manuscript, correlation and hclust results are presented for very particular
# cluster assignments previously provided by Sen. This code is to re-do the functional
# distance calculation using those cluster assignments so that we can regenerate those
# comparisons.
library(atom2seq)
library(magrittr)
load("uptofuncdist_stuff.RData")
norm_assign <- read.table("normal.cluster.10.txt", sep = " ", header = TRUE, stringsAsFactors = FALSE, row.names = 1, colClasses = "character")
names(norm_assign) <- c("zincid", "cluster")

norm_cluster <- split(norm_assign[,1], norm_assign[,2])

norm_funct_dist <- calculate_functional_distance(annotation_subset_ligands_full[[4]], norm_cluster)
norm_funct_dist <- cleanup_dist(norm_funct_dist, 10)

compressed_assign <- read.table("compressed.cluster.8.txt", sep = " ", header = TRUE, stringsAsFactors = FALSE, row.names = 1, colClasses = "character")
names(compressed_assign) <- c("zincid", "cluster")
compressed_cluster <- split(compressed_assign[,1], compressed_assign[,2])

comp_funct_dist <- calculate_functional_distance(annotation_subset_ligands_full[[4]], compressed_cluster)
comp_funct_dist <- cleanup_dist(comp_funct_dist, 8)

save(norm_funct_dist, comp_funct_dist, file = "paper_data/norm_10_comp_8_dist.RData")
