#!/usr/bin/perl  
#
# To identify zinc HETATM records in PDB files.
#
# ./zn_protein_1.pl pdbfolder outfile
# 	pdbfolder, the root directory that holds all pdb files need to be analysis
# 	outfile, will contain the list of paths of pdb files that with at least one zinc in its HETATM

use strict; 

my $pdbfolder = shift @ARGV;
my $outFile = shift @ARGV;

if ($pdbfolder =~ /(.*)\/$/) 
  {
  $pdbfolder = $1;
  }


opendir (PDBFOLDER, $pdbfolder) || die "Unable to open $pdbfolder:$!.\n"; #open the root pdbfile folder or die.
my @sub_folders = grep { $_ !~ /^\.\.?$/; }  (readdir(PDBFOLDER));  #read all the folders in the root folder.
closedir(PDBFOLDER);

open (OUTPUT, ">", $outFile);

foreach my $sub_folder (@sub_folders) 
  {
  opendir (FOLDER, "$pdbfolder/$sub_folder") || die "Unable to open $sub_folder:$!.\n";      #open each of the folders or die.
  my @pdb_files = grep (! /^\.\.?$/, readdir(FOLDER));      #read all the files' names  in each folders.
  closedir FOLDER;

  foreach my $pdb_file (@pdb_files) 
    {
    die "Unable to open $pdb_file.\n" if (! -e "$pdbfolder/$sub_folder/$pdb_file");
    open (FILE, "zcat $pdbfolder/$sub_folder/$pdb_file|");  #open each files of die.
 
    while(my $line = <FILE>) 
      { 
      if ($line =~ /^HETATM.+\sZN\s*$/)    # print the file's name to certain file if it contains zinc HETATM records.
        {
        print OUTPUT "$pdbfolder/$sub_folder/$pdb_file\n"; 
        last;
        }
      }
       
    close FILE;
    }             
  }


close OUTPUT;
