#!/usr/bin/perl
#
#zn_protein_nucleicacid.pl
#
#to test how many the zinc binding protein vs. nucleic acid

use strict;

my $zn_protein_file = shift @ARGV;
open (PATH, $zn_protein_file);
my @zn_protein_paths = <PATH>;

my ($count_both , @both);
my ($count_pro , @protein);
my ($count_na , @nucleic_acid);
my ($count_neither , @neither);
my $count_total;
foreach my $path (@zn_protein_paths) 
  {
  $count_total++;
  open (PDBFILE, "zcat $path|");
  while (my $line = <PDBFILE>)
    {
    if ($line =~ /^SEQRES.{12,}\sD?[ACGUTI]\s/ )
      {
      if ($line =~ /^SEQRES.{12,}\s(LEU|ALA|GLY|SER)\s/)
        {
#        push (@both, $path);	
        $count_both++;
        last;
        }
      else 
        {
#        push (@nucleic_acid, $path);
        $count_na++;
        last;
        }
      }
    else 
      {
      if ($line =~ /^SEQRES.{12,}\s(LEU|ALA|GLY|SER)\s/) 
        {
#        push (@protein, $path);
        $count_pro++;
        last;
        }
      else
        {
#        push (@neither, $path);
        $count_neither++;
        last;
        }
      }
    }
  }

print "Total entries: $count_total \n";
print "Entries that are both protein and nucleic acid: $count_both \n";
print "Entries that are neither protein and na: $count_neither \n";
print "Entries that are only nucleic acid: $count_na \n";
print "Entries that are only protein: $count_pro \n";
