#!/usr/bin/perl
#
#zn_protein_nucleicacid.pl
#
#to test how many the zinc binding protein vs. nucleic acid

use strict;

my $zn_protein_file = shift @ARGV;
open (PATH, $zn_protein_file);
my @zn_protein_paths = <PATH>;

my %aa_test = ( "GLY" => 1, "CYS" => 1, 
		"ALA" => 1, "HIS" => 1,
		"VAL" => 1, "LYS" => 1,
		"LEU" => 1, "ARG" => 1,
		"ILU" => 1, "GLU" => 1,
		"PRO" => 1, "ASP" => 1,
		"PHE" => 1, "GLN" => 1,
		"TYR" => 1, "ASN" => 1,
		"THR" => 1, "MET" => 1,
		"SER" => 1, "TRP" => 1,);
my %nt_test = ("A" => 1, "U"=> 1, "C"=> 1, "G"=>1, "I" =>1, "DA"=>1, "DC"=>1, "DG"=>1, "DT"=>1, "DI"=>1,);
my ($count_both , @both);
my ($count_pro , @protein);
my ($count_na , @nucleic_acid);
my ($count_neither , @neither);
my $count_total;
foreach my $path (@zn_protein_paths) 
  {
  $count_total++;
  my $aa_count = 0;
  my $nt_count = 0;
  my $found_seqres = 0;
  open (PDBFILE, "zcat $path|");
  while (my $line = <PDBFILE>)
    {
    chomp $line;
    if ($line =~ /^SEQRES/ )
      {
      $found_seqres = 1;
      foreach my $res (split(/\s+/,substr($line,19)))
	{
        $aa_count += $aa_test{$res};
        $nt_count += $nt_test{$res};
        }  
      }
    elsif($found_seqres)
      { last; }
    }

  if (($aa_count > 19) && ($nt_count > 9)) # definition for having both protein and nucleic acid
    { $count_both++; }
  elsif ($aa_count > 19) # definition for protein
    { $count_pro++; }
  elsif ($nt_count > 9) # definition for nucleic acid
    { $count_na++; }
  else # it is neither
    { $count_neither++; }
  }

print "Total entries: $count_total \n";
print "Entries that are both protein and nucleic acid: $count_both \n";
print "Entries that are neither protein and na: $count_neither \n";
print "Entries that are only nucleic acid: $count_na \n";
print "Entries that are only protein: $count_pro \n";

